## omake 0.9.6.7

=== Makefile ===
#
# For bootstrapping
#
.PHONY: all boot install default

#
# Bootstrap program is omake.boot
#
default:
	@echo "If you have already built omake, you should use it instead of make."
	@echo "If you need to bootstrap, use "
	@echo " - 'make boot',"
	@echo "       to build the bootstrapping (feature-limited) OMake binary './omake-boot'."
	@echo " - 'make all',"
	@echo "       to bootstrap and then build everything"
	@echo " - 'make install',"
	@echo "       to bootstrap, build, and install everything"
	@exit 1

boot: boot/Makefile
	@touch boot/Makefile.dep
	@cd boot; $(MAKE) Makefile.dep; $(MAKE) omake
	@ln -sf boot/omake omake-boot

boot/Makefile: src/Makefile
	mkdir -p boot
	ln -sf ../src/Makefile boot/Makefile

all: boot
	touch .config
	OMAKEFLAGS= ./omake-boot --dotomake .omake --force-dotomake -j2 -S --progress main
	OMAKEFLAGS= src/main/omake --dotomake .omake --force-dotomake -j2 -S --progress all doc

install: all
	OMAKEFLAGS= src/main/omake --dotomake .omake --force-dotomake -j2 install

=== src/Makefile ===
#
# !!!THIS IS A GENERATED FILE!!!
# !!!DO NOT MAKE CHANGES HERE, THEY WILL BE LOST!!!
#
.PHONY: depend clean

#
# System config
#
LN = ln -sf
RM = rm -f
DOT = ./
slash = /

win32 = unix
system = null

#
# C configuration
#
CC = cc
CFLAGS =
AR = ar cq
AROUT =
EXT_OBJ = .o
EXT_LIB = .a
EXE =

OCAMLFLAGS =
THREADSLIB =

.SUFFIXES: .mll .mly .mli .ml .c .cmi .cmo .cma .o

.c.o:
	$(CC) $(CFLAGS) -I"`ocamlc -where`" -c $*.c


#
# OCaml configuration
#
OCAMLC = ocamlc
OCAMLYACC = ocamlyacc
OCAMLLEX = ocamllex
OCAMLDEP = ocamldep

.mly.ml:
	$(OCAMLYACC) $*.mly

.mly.mli:
	$(OCAMLYACC) $*.mly

.mll.ml:
	$(OCAMLLEX) $*.mll

.mli.cmi:
	$(OCAMLC) $(OCAMLFLAGS) -c $*.mli

.ml.cmo:
	$(OCAMLC) $(OCAMLFLAGS) -c $*.ml

#
# The version.txt file
#
version.txt:
	@echo 0.0.boot > $@


lm_channel.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c lm_channel.c

lm_compat_win32.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_compat_win32.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_compat_win32.c lm_compat_win32.c

lm_compat_win32.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_compat_win32.h
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_compat_win32.h lm_compat_win32.h

lm_ctype.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_ctype.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_ctype.c lm_ctype.c

lm_printf.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_printf.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_printf.c lm_printf.c

lm_uname_ext.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_uname_ext.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_uname_ext.c lm_uname_ext.c

lm_unix_cutil.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_unix_cutil.c
	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_unix_cutil.c lm_unix_cutil.c

OFILES_clib = lm_channel$(EXT_OBJ) lm_printf$(EXT_OBJ) lm_ctype$(EXT_OBJ) lm_uname_ext$(EXT_OBJ) lm_unix_cutil$(EXT_OBJ) lm_compat_win32$(EXT_OBJ) fam_win32$(EXT_OBJ) fam_kqueue$(EXT_OBJ) readline$(EXT_OBJ) omake_notify$(EXT_OBJ) omake_shell_sys$(EXT_OBJ)

clib$(EXT_LIB): $(OFILES_clib)
	-$(RM) $@
	$(AR) $(AROUT)$@ $(OFILES_clib)

fam_pseudo.h: ..$(slash)src$(slash)clib$(slash)fam_pseudo.h
	$(LN) ..$(slash)src$(slash)clib$(slash)fam_pseudo.h fam_pseudo.h

SRC_clib = ..$(slash)src$(slash)clib

readline.c: $(SRC_clib)$(slash)readline.c
	$(LN) $(SRC_clib)$(slash)readline.c readline.c

fam_win32.c: $(SRC_clib)$(slash)fam_win32.c
	$(LN) $(SRC_clib)$(slash)fam_win32.c fam_win32.c

fam_kqueue.c: $(SRC_clib)$(slash)fam_kqueue.c
	$(LN) $(SRC_clib)$(slash)fam_kqueue.c fam_kqueue.c

omake_notify.c: $(SRC_clib)$(slash)omake_notify.c
	$(LN) $(SRC_clib)$(slash)omake_notify.c omake_notify.c

omake_shell_sys.c: $(SRC_clib)$(slash)omake_shell_sys.c
	$(LN) $(SRC_clib)$(slash)omake_shell_sys.c omake_shell_sys.c

ALLFILES_clib = readline.c fam_win32.c fam_kqueue.c omake_notify.c omake_shell_sys.c lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c fam_pseudo.h


lm_printf.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.ml lm_printf.ml

lm_debug.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.ml lm_debug.ml

lm_list_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.ml lm_list_util.ml

lm_array_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_array_util.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_array_util.ml lm_array_util.ml

lm_set_sig.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set_sig.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set_sig.ml lm_set_sig.ml

lm_set.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set.ml lm_set.ml

lm_map_sig.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map_sig.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map_sig.ml lm_map_sig.ml

lm_map.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.ml lm_map.ml

lm_int_set.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.ml lm_int_set.ml

lm_index.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.ml lm_index.ml

lm_thread_sig.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_sig.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_sig.ml lm_thread_sig.ml

lm_thread.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.ml lm_thread.ml

lm_string_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.ml lm_string_util.ml

lm_string_set.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.ml lm_string_set.ml

lm_filename_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.ml lm_filename_util.ml

lm_printf.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.mli lm_printf.mli

lm_debug.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.mli lm_debug.mli

lm_list_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.mli lm_list_util.mli

lm_array_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_array_util.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_array_util.mli lm_array_util.mli

lm_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_set.mli lm_set.mli

lm_map.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli lm_map.mli

lm_int_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli lm_int_set.mli

lm_index.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.mli lm_index.mli

lm_thread_core.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_core.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_core.mli lm_thread_core.mli

lm_thread.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.mli lm_thread.mli

lm_string_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.mli lm_string_util.mli

lm_string_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.mli lm_string_set.mli

lm_filename_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.mli lm_filename_util.mli

lm_thread_pool.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_pool.mli
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_pool.mli lm_thread_pool.mli

lm_arg.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_arg.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_arg.ml lm_arg.ml

lm_hash.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml lm_hash.ml

lm_location.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_location.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_location.ml lm_location.ml

lm_position.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_position.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_position.ml lm_position.ml

lm_channel.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_channel.ml
	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_channel.ml lm_channel.ml

## omake 0.9.6.9

=== osx_resources/Makefile ===
# Assumes OMake has been built and installed into ./install

# This ought to work, but it doesn't.  :-(
#osxpkg: Info.plist Description.plist installer_files/ReadMe.txt installer_files/License.txt
	#PackageMaker -v -ds -build \
	#	-f ./osx_install \
	#	-i Info.plist \
	#	-d Description.plist \
	#	-r installer_files \
	#	-p ./OMake.pkg
	#tar cvzf OMake.pkg.tgz OMake.pkg

.PHONY: osxpkg osxpkg-clean

osxpkg:
	@echo ""
	@echo "======== Sorry, you have to use the PackageMaker GUI. ========"
	@echo "========     Be sure to update the version info!      ========"
	open ./OMake.pmproj

osxpkg-clean:
	rm -rf ./install OMake.pkg OMake-*.dmg

V := $(shell head -n 1 ../version.txt | tr -d ' \t\n\r')
dmg:
	hdiutil create -srcfolder ./OMake.pkg OMake-$(V).dmg

=== src/Makefile ===
--- 
+++ 
@@ -65,6 +65,9 @@
 	@echo 0.0.boot > $@
 
 
+lm_heap.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.c lm_heap.c
+
 lm_channel.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c lm_channel.c
 
@@ -86,7 +89,10 @@
 lm_unix_cutil.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_unix_cutil.c
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_unix_cutil.c lm_unix_cutil.c
 
-OFILES_clib = lm_channel$(EXT_OBJ) lm_printf$(EXT_OBJ) lm_ctype$(EXT_OBJ) lm_uname_ext$(EXT_OBJ) lm_unix_cutil$(EXT_OBJ) lm_compat_win32$(EXT_OBJ) fam_win32$(EXT_OBJ) fam_kqueue$(EXT_OBJ) readline$(EXT_OBJ) omake_notify$(EXT_OBJ) omake_shell_sys$(EXT_OBJ)
+unixsupport.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)unixsupport.h
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)unixsupport.h unixsupport.h
+
+OFILES_clib = lm_heap$(EXT_OBJ) lm_channel$(EXT_OBJ) lm_printf$(EXT_OBJ) lm_ctype$(EXT_OBJ) lm_uname_ext$(EXT_OBJ) lm_unix_cutil$(EXT_OBJ) lm_compat_win32$(EXT_OBJ) fam_win32$(EXT_OBJ) fam_kqueue$(EXT_OBJ) readline$(EXT_OBJ) omake_notify$(EXT_OBJ) omake_shell_sys$(EXT_OBJ)
 
 clib$(EXT_LIB): $(OFILES_clib)
 	-$(RM) $@
@@ -112,7 +118,7 @@
 omake_shell_sys.c: $(SRC_clib)$(slash)omake_shell_sys.c
 	$(LN) $(SRC_clib)$(slash)omake_shell_sys.c omake_shell_sys.c
 
-ALLFILES_clib = readline.c fam_win32.c fam_kqueue.c omake_notify.c omake_shell_sys.c lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c fam_pseudo.h
+ALLFILES_clib = readline.c fam_win32.c fam_kqueue.c omake_notify.c omake_shell_sys.c lm_heap.c lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c unixsupport.h fam_pseudo.h
 
 
 lm_printf.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.ml
@@ -121,6 +127,9 @@
 lm_debug.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.ml
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_debug.ml lm_debug.ml
 
+lm_heap.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_heap.ml
+	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_heap.ml lm_heap.ml
+
 lm_list_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.ml
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_list_util.ml lm_list_util.ml
 
@@ -208,12 +217,3 @@
 lm_hash.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml lm_hash.ml
 
-lm_location.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_location.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_location.ml lm_location.ml
-
-lm_position.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_position.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_position.ml lm_position.ml
-
-lm_channel.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_channel.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_channel.ml lm_channel.ml
-

## omake 0.9.8.3

=== src/Makefile ===
--- 
+++ 
@@ -68,6 +68,9 @@
 lm_heap.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.c
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.c lm_heap.c
 
+lm_heap.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.h
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_heap.h lm_heap.h
+
 lm_channel.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_channel.c lm_channel.c
 
@@ -92,33 +95,57 @@
 unixsupport.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)unixsupport.h
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)unixsupport.h unixsupport.h
 
-OFILES_clib = lm_heap$(EXT_OBJ) lm_channel$(EXT_OBJ) lm_printf$(EXT_OBJ) lm_ctype$(EXT_OBJ) lm_uname_ext$(EXT_OBJ) lm_unix_cutil$(EXT_OBJ) lm_compat_win32$(EXT_OBJ) fam_win32$(EXT_OBJ) fam_kqueue$(EXT_OBJ) readline$(EXT_OBJ) omake_notify$(EXT_OBJ) omake_shell_sys$(EXT_OBJ)
+fam_win32.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_win32.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_win32.c fam_win32.c
+
+fam_kqueue.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_kqueue.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_kqueue.c fam_kqueue.c
+
+fam_inotify.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_inotify.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_inotify.c fam_inotify.c
+
+fam_pseudo.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_pseudo.h
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)fam_pseudo.h fam_pseudo.h
+
+lm_notify.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_notify.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_notify.c lm_notify.c
+
+inotify.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.h
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.h inotify.h
+
+inotify-syscalls.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-syscalls.h
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-syscalls.h inotify-syscalls.h
+
+inotify-test.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-test.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-test.c inotify-test.c
+
+inotify.om: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.om
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.om inotify.om
+
+lm_termsize.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_termsize.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_termsize.c lm_termsize.c
+
+lm_terminfo.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_terminfo.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_terminfo.c lm_terminfo.c
+
+lm_fs_case_sensitive.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_fs_case_sensitive.c
+	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)lm_fs_case_sensitive.c lm_fs_case_sensitive.c
+
+OFILES_clib = lm_heap$(EXT_OBJ) lm_channel$(EXT_OBJ) lm_printf$(EXT_OBJ) lm_ctype$(EXT_OBJ) lm_uname_ext$(EXT_OBJ) lm_unix_cutil$(EXT_OBJ) lm_compat_win32$(EXT_OBJ) readline$(EXT_OBJ) omake_shell_sys$(EXT_OBJ) fam_win32$(EXT_OBJ) fam_kqueue$(EXT_OBJ) fam_inotify$(EXT_OBJ) lm_notify$(EXT_OBJ) lm_termsize$(EXT_OBJ) lm_terminfo$(EXT_OBJ) lm_fs_case_sensitive$(EXT_OBJ)
 
 clib$(EXT_LIB): $(OFILES_clib)
 	-$(RM) $@
 	$(AR) $(AROUT)$@ $(OFILES_clib)
 
-fam_pseudo.h: ..$(slash)src$(slash)clib$(slash)fam_pseudo.h
-	$(LN) ..$(slash)src$(slash)clib$(slash)fam_pseudo.h fam_pseudo.h
-
 SRC_clib = ..$(slash)src$(slash)clib
+
+omake_shell_sys.c: $(SRC_clib)$(slash)omake_shell_sys.c
+	$(LN) $(SRC_clib)$(slash)omake_shell_sys.c omake_shell_sys.c
 
 readline.c: $(SRC_clib)$(slash)readline.c
 	$(LN) $(SRC_clib)$(slash)readline.c readline.c
 
-fam_win32.c: $(SRC_clib)$(slash)fam_win32.c
-	$(LN) $(SRC_clib)$(slash)fam_win32.c fam_win32.c
-
-fam_kqueue.c: $(SRC_clib)$(slash)fam_kqueue.c
-	$(LN) $(SRC_clib)$(slash)fam_kqueue.c fam_kqueue.c
-
-omake_notify.c: $(SRC_clib)$(slash)omake_notify.c
-	$(LN) $(SRC_clib)$(slash)omake_notify.c omake_notify.c
-
-omake_shell_sys.c: $(SRC_clib)$(slash)omake_shell_sys.c
-	$(LN) $(SRC_clib)$(slash)omake_shell_sys.c omake_shell_sys.c
-
-ALLFILES_clib = readline.c fam_win32.c fam_kqueue.c omake_notify.c omake_shell_sys.c lm_heap.c lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c unixsupport.h fam_pseudo.h
+ALLFILES_clib = omake_shell_sys.c readline.c lm_heap.c lm_heap.h lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c unixsupport.h fam_win32.c fam_kqueue.c fam_inotify.c fam_pseudo.h lm_notify.c inotify.h inotify-syscalls.h inotify-test.c inotify.om lm_termsize.c lm_terminfo.c lm_fs_case_sensitive.c
 
 
 lm_printf.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.ml
@@ -166,9 +193,6 @@
 lm_string_set.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.ml
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.ml lm_string_set.ml
 
-lm_filename_util.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.ml lm_filename_util.ml
-
 lm_printf.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.mli
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.mli lm_printf.mli
 
@@ -187,33 +211,3 @@
 lm_map.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli lm_map.mli
 
-lm_int_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli lm_int_set.mli
-
-lm_index.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_index.mli lm_index.mli
-
-lm_thread_core.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_core.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_core.mli lm_thread_core.mli
-
-lm_thread.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread.mli lm_thread.mli
-
-lm_string_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_util.mli lm_string_util.mli
-
-lm_string_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_string_set.mli lm_string_set.mli
-
-lm_filename_util.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_filename_util.mli lm_filename_util.mli
-
-lm_thread_pool.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_pool.mli
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_thread_pool.mli lm_thread_pool.mli
-
-lm_arg.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_arg.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_arg.ml lm_arg.ml
-
-lm_hash.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml
-	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)util$(slash)lm_hash.ml lm_hash.ml
-

## omake 0.9.8.5

=== Makefile ===
#
# For bootstrapping
#
.PHONY: all bootstrap install default

#
# Bootstrap program is omake-boot
#
default:
	@echo "If you have already built omake, you should use it instead of make."
	@echo "If you need to bootstrap, use "
	@echo " - 'make bootstrap',"
	@echo "       to build the bootstrapping (feature-limited) OMake binary './omake-boot'."
	@echo " - 'make all',"
	@echo "       to bootstrap and then build everything"
	@echo " - 'make install',"
	@echo "       to bootstrap, build, and install everything"
	@exit 1

bootstrap: boot/Makefile
	@cd boot; $(MAKE) Makefile.dep; $(MAKE) omake
	@ln -sf boot/omake omake-boot

boot/Makefile: src/Makefile
	mkdir -p boot
	@touch boot/Makefile.dep
	@sleep 1
	ln -sf ../src/Makefile boot/Makefile

all: bootstrap
	touch .config
	OMAKEFLAGS= OMAKEPATH=lib ./omake-boot --dotomake .omake --force-dotomake -j2 main
	OMAKEFLAGS= OMAKEPATH=lib src/main/omake --dotomake .omake --force-dotomake -j2 all

install: all
	OMAKEFLAGS= OMAKEPATH=lib src/main/omake --dotomake .omake --force-dotomake -j2 install

=== src/Makefile ===
--- 
+++ 
@@ -116,9 +116,6 @@
 inotify-syscalls.h: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-syscalls.h
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-syscalls.h inotify-syscalls.h
 
-inotify-test.c: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-test.c
-	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify-test.c inotify-test.c
-
 inotify.om: ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.om
 	$(LN) ..$(slash)src$(slash)clib$(slash)..$(slash)libmojave-external$(slash)cutil$(slash)inotify.om inotify.om
 
@@ -145,7 +142,7 @@
 readline.c: $(SRC_clib)$(slash)readline.c
 	$(LN) $(SRC_clib)$(slash)readline.c readline.c
 
-ALLFILES_clib = omake_shell_sys.c readline.c lm_heap.c lm_heap.h lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c unixsupport.h fam_win32.c fam_kqueue.c fam_inotify.c fam_pseudo.h lm_notify.c inotify.h inotify-syscalls.h inotify-test.c inotify.om lm_termsize.c lm_terminfo.c lm_fs_case_sensitive.c
+ALLFILES_clib = omake_shell_sys.c readline.c lm_heap.c lm_heap.h lm_channel.c lm_compat_win32.c lm_compat_win32.h lm_ctype.c lm_printf.c lm_uname_ext.c lm_unix_cutil.c unixsupport.h fam_win32.c fam_kqueue.c fam_inotify.c fam_pseudo.h lm_notify.c inotify.h inotify-syscalls.h inotify.om lm_termsize.c lm_terminfo.c lm_fs_case_sensitive.c
 
 
 lm_printf.ml: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_printf.ml
@@ -211,3 +208,6 @@
 lm_map.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli
 	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_map.mli lm_map.mli
 
+lm_int_set.mli: ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli
+	$(LN) ..$(slash)src$(slash)libmojave$(slash)..$(slash)libmojave-external$(slash)stdlib$(slash)lm_int_set.mli lm_int_set.mli
+

## omake 0.9.8.5-3

=== debian/changelog ===
omake (0.9.8.5-3-8) unstable; urgency=low

  * Add 0004-Disable-warnings-introduced-in-OCaml-3.12.patch
    (Closes: #580091)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)
  * Reformat debian/NEWS to please Lintian

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 May 2010 22:37:34 +0200

omake (0.9.8.5-3-7) unstable; urgency=low

  * debian/control:
    - update my e-mail address, remove DMUA
    - change build-dependency from libreadline5-dev to libreadline-dev
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Sep 2009 16:01:50 +0200

omake (0.9.8.5-3-6) unstable; urgency=low

  * Properly strip only on native architectures
  * Move to section ocaml
  * Update Standards-Version to 3.8.2

 -- Stephane Glondu <steph@glondu.net>  Sat, 04 Jul 2009 16:11:04 +0200

omake (0.9.8.5-3-5) unstable; urgency=low

  * Add DM-Upload-Allowed
  * Switch copyright to new format
  * Add Homepage field to debian/control
  * Add build-dependency on dh-ocaml and use ocamlvars.mk
  * Switch patch system to quilt, add README.source
  * New patches:
    - remove useless external that causes FTBFS (Closes: #522008)
    - fix attempt to free a non-heap object (Closes: #505045)
      (thanks to Martin Michlmayr for spotting this)
  * Use debhelper 7 and overrides
  * Bump Standards-Version to 3.8.1
  * Add debian/watch
  * Move documentation to (new) arch-indep package omake-doc

 -- Stephane Glondu <steph@glondu.net>  Sat, 11 Apr 2009 15:26:50 +0200

omake (0.9.8.5-3-4) unstable; urgency=high

  * Switch packaging to git
  * Set Maintainer to d-o-m, add mfurr and myself to Uploaders
  * Do not install ocamldep-omake, as it is useless (Closes: #510919)
  * Add NEWS.Debian

 -- Stephane Glondu <steph@glondu.net>  Tue, 13 Jan 2009 18:19:05 +0100

omake (0.9.8.5-3-3) unstable; urgency=low

  * Do not strip the bytecode executable (since it's -custom linked)
    Thanks to Julien Cristau for pointing this out. (Closes: 447567)

 -- Mike Furr <mfurr@debian.org>  Mon, 22 Oct 2007 10:38:15 -0400

omake (0.9.8.5-3-2) unstable; urgency=low

  * Update deps for 3.10.0 transitiion
  * Apply patch from upstream svn to fix FTBFS (Closes: #439568)

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:06:51 -0400

omake (0.9.8.5-3-1) unstable; urgency=low

  * New upstream release

 -- Mike Furr <mfurr@debian.org>  Fri, 24 Aug 2007 11:36:57 -0400

omake (0.9.8.3-1-1) unstable; urgency=low

  * New Upstream release
  * Removed ocamlrun header from ocamldep-omake since omake actually runs
    it as 'ocamlrun ocamldep-omake' itself
  
 -- Mike Furr <mfurr@debian.org>  Mon, 04 Jun 2007 10:22:38 -0400

omake (0.9.8.1-1-1) unstable; urgency=low

  * New upstream version (Closes: #415205)
  * Policy version now 3.7.2 (no changes needed)
  * Removed Makefile patch since it's no longer necessary
  
 -- Mike Furr <mfurr@debian.org>  Fri, 23 Mar 2007 15:59:23 -0400

omake (0.9.8-2-1) unstable; urgency=low

  * New upstream version

 -- Mike Furr <mfurr@debian.org>  Wed, 15 Nov 2006 18:28:05 -0500

omake (0.9.6.9-1-2) unstable; urgency=low

  * Fix format string for 64-bit arches

 -- Mike Furr <mfurr@debian.org>  Tue, 14 Nov 2006 16:54:14 -0500

omake (0.9.6.9-1-1) unstable; urgency=low

  * New upstream release 
  * Acknowledge NMU and add patch to patches dir (Closes: 397699)
  * Convert to svn-buildpackage layout
  * Change control.in back to control

 -- Mike Furr <mfurr@debian.org>  Tue, 14 Nov 2006 16:40:12 -0500

omake (0.9.6.8-1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't touch boot/Makefile.dep in the toplevel Makefile, we want it to be
    regenerated after that (closes: #397699).

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Fri, 10 Nov 2006 15:43:13 +0100

omake (0.9.6.8-1-1) unstable; urgency=low

  * New upstream release 

 -- Mike Furr <mfurr@debian.org>  Fri, 27 Jan 2006 15:05:23 -0500

omake (0.9.6.7-1-2) unstable; urgency=low

  * Rebuild for 3.09.1 

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Jan 2006 18:14:57 -0500

omake (0.9.6.7-1-1) unstable; urgency=low

  * New upstream release
  * Removed bytecode compile patch as this is now handled upstream
  * No more hard-coding the ABI in control

 -- Mike Furr <mfurr@debian.org>  Fri, 30 Dec 2005 13:41:54 -0500

omake (0.9.6.6-2-1) unstable; urgency=low

  * New upstream release 
  * Build with OCaml 3.09.0 (Closes: 338567)
  * Dropped version on fam-dev depends since it reverted its name change
  * Fixed build to work on non-opt architectures. (Closes: 332284)

 -- Mike Furr <mfurr@debian.org>  Wed, 23 Nov 2005 12:53:03 -0500

omake (0.9.6.5-2-1) unstable; urgency=low

  * New upstream release. 

 -- Mike Furr <mfurr@debian.org>  Wed, 21 Sep 2005 18:22:45 -0400

omake (0.9.6-3) unstable; urgency=low

  * Argh, fix the final omake target in the makefile for non-opt
    architectures.

 -- Mike Furr <mfurr@debian.org>  Thu,  4 Aug 2005 00:53:38 -0400

omake (0.9.6-2) unstable; urgency=low

  * Patch Makefile to handle archs with only bytecode compilers 

 -- Mike Furr <mfurr@debian.org>  Wed,  3 Aug 2005 22:55:06 -0400

omake (0.9.6-1) unstable; urgency=low

  * New upstream release 

 -- Mike Furr <mfurr@debian.org>  Fri, 22 Jul 2005 16:18:23 -0400

omake (0.9.4-1) unstable; urgency=low

  * Initial release Closes: #316561

 -- Mike Furr <mfurr@debian.org>  Fri,  1 Jul 2005 14:46:58 -0400

=== debian/control ===
Source: omake
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Mike Furr <mfurr@debian.org>,
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 7.2.6),
 autotools-dev,
 ocaml-nox,
 libfam-dev,
 libreadline-dev,
 libncurses5-dev,
 dh-ocaml
Standards-Version: 3.8.4
Homepage: http://omake.metaprl.org/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/omake.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/omake.git

Package: omake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: omake-doc
Description: build system with automated dependency analysis
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 OMake includes an accurate, automated dependency analysis based on
 MD5 digests.  It also includes a stand-alone command-line
 interpreter, osh, that can be used as an interactive shell for
 debugging the build files.  OMake's syntax is a full object oriented
 language.  Features of the OMake language include integer and
 floating point arithmetic, scoped expressions, higher order
 functions, multiple inheritance, pattern matching, runtime
 exceptions, lexers, and LALR(1) parsers.  Users can easily produce
 architecture independent builds as omake provides a uniform interface
 to its standard library on Linux/Unix, Win32, and OS X.

Package: omake-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: omake (<< 0.9.8.5-3-5)
Description: documentation for OMake
 OMake is a build system designed to scale from small projects to very
 large projects spanning many directories. OMake uses a syntax similar
 to GNU make, with many additional features.  It contains
 specifications for easily building C, OCaml, and LaTeX programs, but
 can be used to build projects with other languages as well.
 .
 This package contains documentation for OMake in html and pdf
 formats.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=omake
include /usr/share/ocaml/ocamlvars.mk

build:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr MANDIR=/usr/share/man bootstrap
	$(MAKE) PREFIX=/usr MANDIR=/usr/share/man all

override_dh_auto_clean:
ifneq ($(wildcard omake-boot),)
	-./omake-boot clean
endif

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp/ install

override_dh_installdocs:
	dh_installdocs -XCVS -X.cvsignore \
	  -X.ps -X.eps -X.psd -X.ai -X.tex

override_dh_compress:
	dh_compress -X.html -X.pdf

override_dh_strip:
# omake is compiled with -custom
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	dh_strip
endif

%:
	dh $@


.PHONY: build \
  override_dh_auto_build \
  override_dh_auto_clean \
  override_dh_auto_install \
  override_dh_installdocs \
  override_dh_compress \
  override_dh_strip

## omake 0.9.8.6

=== src/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 EXT_LIB = .a
 EXE =
 
-OCAMLFLAGS =
+OCAMLFLAGS = -g
 THREADSLIB =
 
 .SUFFIXES: .mll .mly .mli .ml .c .cmi .cmo .cma .o

=== debian/changelog ===
omake (0.9.8.6-1) UNRELEASED; urgency=low

  * Updated to 0.9.8.6 (revision 13252) to support OCaml 3.12.0.

 -- Mike McClurg <mike.mcclurg@citrix.com>  Thu, 25 Nov 2010 12:00:00 +0000

=== debian/control ===
Source: omake
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 make,
 ocaml-nox (>= 3.09.2),
 libncurses5-dev,
 ocaml-native-compilers (>= 3.09.2)

Package: omake
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: The omake build system
  OMake is a build system, similar to GNU make, but with many
 additional features, including: - Support for large projects spanning
 multiple directories; - Support for commands that produce several
 targets at once; - Fast, accurate, automated dependency analysis
 using MD5 digests; - Portability: omake provides a consistent
 interface on Win32   and on Unix systems including Linux, OSX, and
 Cygwin; - Builtin functions that provide the most common features of
 programs like grep, sed, and awk; - Active filesystem monitoring,
 where the build automatically   restarts whenever you modify a source
 file.
